diff --git a/Marlin/Conditionals.h b/Marlin/Conditionals.h
index fa57408..439a421 100644
--- a/Marlin/Conditionals.h
+++ b/Marlin/Conditionals.h
@@ -48,6 +48,14 @@
     #define REPRAP_DISCOUNT_SMART_CONTROLLER
   #endif
 
+  #if defined (SSD1306_OLED_I2C_CONTROLLER)
+    #define DOGLCD
+    #define U8GLIB_SSD1306
+    #define ULTIPANEL
+    #define NEWPANEL
+  #endif
+
+
   #if defined(ULTIMAKERCONTROLLER) || defined(REPRAP_DISCOUNT_SMART_CONTROLLER) || defined(G3D_PANEL)
     #define ULTIPANEL
     #define NEWPANEL
diff --git a/Marlin/Configuration.h b/Marlin/Configuration.h
index f48646a..ecff7c9 100644
--- a/Marlin/Configuration.h
+++ b/Marlin/Configuration.h
@@ -715,6 +715,9 @@ const bool Z_PROBE_ENDSTOP_INVERTING = false; // set to true to invert the logic
 // Panucatt VIKI LCD with status LEDs, integrated click & L/R/U/P buttons, separate encoder inputs
 //#define LCD_I2C_VIKI
 
+// Tiny SSD1306 OLED I2C 128x64 FULL GRAPHICS CONTROLLER
+#define SSD1306_OLED_I2C_CONTROLLER
+
 // Shift register panels
 // ---------------------
 // 2 wire Non-latching LCD SR from:
diff --git a/Marlin/dogm_lcd_implementation.h b/Marlin/dogm_lcd_implementation.h
index 3ab18af..5406678 100644
--- a/Marlin/dogm_lcd_implementation.h
+++ b/Marlin/dogm_lcd_implementation.h
@@ -112,6 +112,8 @@
 #ifdef U8GLIB_ST7920
   //U8GLIB_ST7920_128X64_RRD u8g(0,0,0);
   U8GLIB_ST7920_128X64_RRD u8g(0);
+#elif defined(U8GLIB_SSD1306)
+  U8GLIB_SSD1306_128X64 u8g(U8G_I2C_OPT_DEV_0|U8G_I2C_OPT_NO_ACK|U8G_I2C_OPT_FAST);
 #elif defined(MAKRPANEL)
   // The MaKrPanel display, ST7565 controller as well
   U8GLIB_NHD_C12864 u8g(DOGLCD_CS, DOGLCD_A0);
diff --git a/Marlin/pins_RAMPS_13.h b/Marlin/pins_RAMPS_13.h
index af1d2d3..a52cf02 100644
--- a/Marlin/pins_RAMPS_13.h
+++ b/Marlin/pins_RAMPS_13.h
@@ -162,6 +162,16 @@
       #define BTN_ENC 35
 
       #define SDCARDDETECT 49
+
+    #elif defined(SSD1306_OLED_I2C_CONTROLLER)
+      #define BTN_EN1 31
+      #define BTN_EN2 33
+      #define BTN_ENC 35
+      #define BEEPER 37
+      #define LCD_SDSS 53
+      #define SDCARDDETECT -1
+      #define KILL_PIN -1
+
     #elif defined(LCD_I2C_PANELOLU2)
       #define BTN_EN1 47  // reverse if the encoder turns the wrong way.
       #define BTN_EN2 43
diff --git a/Marlin/pins_SANGUINOLOLU_11.h b/Marlin/pins_SANGUINOLOLU_11.h
index e7bdd97..758254f 100644
--- a/Marlin/pins_SANGUINOLOLU_11.h
+++ b/Marlin/pins_SANGUINOLOLU_11.h
@@ -146,6 +146,14 @@
    //not connected to a pin
    #define SDCARDDETECT -1
 
+   #ifdef SSD1306_OLED_I2C_CONTROLLER
+      #define LCD_SDSS -1
+      #define BTN_EN1 30  // A1 - rotary encoder A
+      #define BTN_EN2 29  // A2 - rotary encoder B
+      #define BTN_ENC 28  // A3 - rotary encoder push switch
+      #define BEEPER  10  // RX1 - piezo beeper
+   #endif
+
  #endif //NEWPANEL
 #endif //ULTRA_LCD
 
